package com.liquidnet.service.adam.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
public class AdamWalletAccess implements Serializable, Cloneable {

    private static final long serialVersionUID = 1L;

    private String userId;

    private String finWalletNo;

    private String comId;

    private static final AdamWalletAccess obj = new AdamWalletAccess();

    public static AdamWalletAccess getNew() {
        try {
            return (AdamWalletAccess) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new AdamWalletAccess();
    }
}
